<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>IDP Bridge</title>

    <!--    <link th:rel="stylesheet" th:href="@{webjars/bootstrap/4.0.0-2/css/bootstrap.min.css} "/>-->
    <!--    <link th:rel="stylesheet" th:href="@{webjars/font-awesome/5.11.2/css/all.css} "/>-->
    <link th:rel="stylesheet" th:href="@{webjars/bootstrap/css/bootstrap.min.css} "/>
    <link th:rel="stylesheet" th:href="@{webjars/font-awesome/css/all.css} "/>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;700&display=swap" rel="stylesheet">
    <style>
        body, html {
            height: 100%; /* Make sure body takes full viewport height */
            margin: 0;    /* Remove default margin */
            display: flex;
            align-items: flex-start; /* Align items vertically */
            justify-content: center; /* Align items horizontally */
            /*background: #e0e0e0;*/
            background-image: url("/assets/images/bg3.JPG");
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
            padding-top: 50px;
            font-family: 'Montserrat', sans-serif;
        }

        .btn-primary, .btn-primary:hover, .btn-primary:active, .btn-primary:visited {
            background-color: #ff6f3c !important;
            border-color: #ff6f3c;
        }

        h4, h5, h6 {
            font-stretch: expanded;
            font-family: 'Montserrat', sans-serif;
            font-weight: 700;
        }

        .card {
            width: 30rem;
            background-color: white; /* White background for the card */
            box-shadow: 0 4px 8px rgba(0,0,0,0.1); /* Subtle shadow for 3D effect */
            border-radius: 8px; /* Optional: rounded corners */
        }

    </style>
</head>
<body>
<div>
    <div class="card mt-5" style="width: 30rem;">

        <div class="card-header">
            <h4>Sign in your account</h4>
        </div>

        <div class="card-body m-lg-3 text-center">
            <form class="ps-3" id="authentication_form" th:action="@{/login}" method="post">

                <div th:if="${param.error}" class="alert alert-danger" role="alert">
                    Invalid username or password.
                </div>
                <div th:if="${param.logout}" class="alert alert-success" role="alert">
                    You have been logged out.
                </div>
<!--                <h1 class="h3 mb-3 fw-normal">Please sign in</h1>-->
                <div class="form-floating mb-3">
                    <input type="text" id="username" name="username" class="form-control" title="Use your ldap uid" required autofocus>
                    <label for="username">Username</label>
                </div>
                <div class="form-floating mb-3">
                    <input type="password" id="password" name="password" class="form-control" title="Use your ldap password" required>
                    <label for="password">Password</label>
                </div>

                <div>
                    <button class="btn btn-primary w-100" type="submit">Login</button>
                </div>
            </form>

            <div class="text-center mt-3 mb-3">
                <h6>OR</h6>
            </div>

            <div>
                <a class="w-100 btn btn-light btn-block bg-gray" th:href="@{/openid4vp/qr(scope=${scope})}" role="link" style="margin-top: 10px">
                    <img src="/assets/images/google.png" th:src="@{/assets/images/eviden.png}" width="28" style="margin-right: 5px;" alt="Sign in with OID4VP">
                    Sign in with SSI Wallet
                </a>
            </div>
<!--            <div class="text-center mb-3 mt-3">-->
<!--                <h6>OR</h6>-->
<!--            </div>-->
<!--            Add IDP Authentication here-->
<!--            <div>-->
<!--                <a class="w-100 btn btn-light btn-block bg-gray" href="/oauth2/authorization/google-idp" role="link" style="margin-top: 10px">-->
<!--                    <img src="/assets/images/google.png" th:src="@{/assets/images/google.png}" width="20" style="margin-right: 5px;" alt="Sign in with Google">-->
<!--                    Sign in with Google-->
<!--                </a>-->
<!--                <a class="w-100 btn btn-light btn-block hover-bg-mid-gray" href="/oauth2/authorization/github-idp" role="link" style="margin-top: 10px">-->
<!--                    <img src="/assets/images/github.png" th:src="@{/assets/images/github.png}" width="24" style="margin-right: 5px;" alt="Sign in with Github">-->
<!--                    Sign in with Github-->
<!--                </a>-->
<!--            </div>-->

        </div>

    </div>
</div>
<script th:src="@{/webjars/jquery/jquery.min.js}"></script>
<script th:src="@{/webjars/popper.js/umd/popper.min.js}"></script>
<script th:src="@{/webjars/bootstrap/js/bootstrap.min.js}"></script>
<script>

    //const scope = [[${scope}]];
    // function selectAuthenticationMethod(){
    //     let form = document.getElementById("authentication_form");
    //     let selectedMethodName = document.querySelector('input[name="authentication"]:checked').value;
    //     console.log(`Selected Option is ${selectedMethodName}`)
    //     alert(selectedMethodName);
    //     form.action = selectedMethodName;
    // }


    document.getElementById("authentication_form").addEventListener('submit', function (event) {
        //event.preventDefault();
        const selectedMethod = document.querySelector('input[name="authentication"]:checked').value;
        console.log(`Selected authentication method:  ${selectedMethod}`);
        //alert(selectedMethod);
        this.action = selectedMethod;
        // let redirectUrl;
        // if(selectedMethod === "/login"){
        //     redirectUrl = selectedMethod;
        // } else {
        //     redirectUrl = `${selectedMethod}?scope=${scope}`
        // }
        // alert(redirectUrl);
        //window.location.href = selectedMethod;
        // this.action = selectedMethod;
    })
</script>
</body>
</html>